## org.eclipse.datatools.enablement.sybase.asa.containment
Class SybaseASAWebServiceContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.enablement.sybase.asa.containment.SybaseASAWebServiceContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class SybaseASAWebServiceContainmentProvider

extends AbstractContainmentProvider

Constructor Summary
`SybaseASAWebServiceContainmentProvider()`

Method Summary
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EStructuralFeature` `getContainmentFeature(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`
`boolean` `isDisplayableElement(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASAWebServiceContainmentProvider

    public SybaseASAWebServiceContainmentProvider()

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedElements` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainedElements` in class `AbstractContainmentProvider`

### isDisplayableElement

    public boolean isDisplayableElement(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `isDisplayableElement` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `isDisplayableElement` in class `AbstractContainmentProvider`

### getContainer

    public org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainer` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainer` in class `AbstractContainmentProvider`

### getContainmentFeature

    public org.eclipse.emf.ecore.EStructuralFeature getContainmentFeature(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainmentFeature` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainmentFeature` in class `AbstractContainmentProvider`

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)